Bug 208290 - www/squid: rework options
Summary: www/squid: rework options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-25 15:48 UTC by timp87
Modified: 2016-03-31 19:06 UTC (History)
1 user (show)

See Also:


Attachments
port patch (5.37 KB, patch)
2016-03-25 15:48 UTC, timp87
timp87: maintainer-approval+
Details | Diff
port patch (11.52 KB, patch)
2016-03-30 06:22 UTC, timp87
timp87: maintainer-approval+
Details | Diff
poudriere log (999.65 KB, text/x-log)
2016-03-30 06:45 UTC, timp87
timp87: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2016-03-25 15:48:56 UTC
Created attachment 168622 [details]
port patch

1. Turn ON all options that don't require external dependencies.
2. Split SQL and SMB options to more items to make it possible to compile squid with MySQL, PgSQL and SQLite, then samba36 and samba42 (many thanks to Alonso Cárdenas Márquez!)
3. Require SSL option if SSL_CRTD is on
4. Small style fixes.
Comment 1 timp87 2016-03-28 07:39:45 UTC
Please, don't commit it until I provide poudriere log
Comment 2 timp87 2016-03-30 06:22:56 UTC
Created attachment 168778 [details]
port patch

This is full list of changes:

1. Turn ON all options that don't require external dependencies.
2. Split SMB options to more items to make it possible to compile squid with samba36 and samba42.*
3. Set databases/p5-DBI as a dependency for SQL option and add note to pkg-message about perl DBD drivers.*
4. Add fix for PF+IPv6.**
5. Require SSL option if SSL_CRTD is on.
6. Small fixes.
7. Add all available patches from upstream.

*  thanks to Alonso Cárdenas Márquez!
** thanks to Orlando Bassotto!
Comment 3 timp87 2016-03-30 06:45:58 UTC
Created attachment 168779 [details]
poudriere log
Comment 4 Kurt Jaeger freebsd_committer 2016-03-31 18:35:54 UTC
testbuilds@work
Comment 5 commit-hook freebsd_committer 2016-03-31 19:06:18 UTC
A commit references this bug:

Author: pi
Date: Thu Mar 31 19:05:16 UTC 2016
New revision: 412287
URL: https://svnweb.freebsd.org/changeset/ports/412287

Log:
  www/squid: cleanup, adding patches

  1. Turn ON all options that don't require external dependencies.
  2. Split SMB options to more items to make it possible to compile
     squid with samba36 and samba42.*
  3. Set databases/p5-DBI as a dependency for SQL option and add note
     to pkg-message about perl DBD drivers.*
  4. Add fix for PF+IPv6.**
  5. Require SSL option if SSL_CRTD is on.
  6. Small fixes.
  7. Add all available patches from upstream.

  *  thanks to Alonso Cardenas Marquez!
  ** thanks to Orlando Bassotto!

  PR:		208290
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
  head/www/squid/files/patch-configure
  head/www/squid/files/patch-src__ip__Intercept.cc
  head/www/squid/files/pkg-message.in
  head/www/squid/files/squid.in
Comment 6 Kurt Jaeger freebsd_committer 2016-03-31 19:06:34 UTC
Committed, thanks!